#include "deftype.h"
#include "printer.h"

/* プリンターへの漢字を含む文字列出力（ＥＳＣ／Ｐ）*/

void KSLP(unchar *buff)
{
unsint c;
int fkanji=0;
	while ((c=*buff++)!=0) {
		if (kanji1(c)) {
			/* 漢字 */
			c=jmstojis((c<<8)|*buff++); /* SHIFT-JIS->JIS */
			if (!fkanji) {
				OUTLPT2(0x1c,'&');
				fkanji=1;
			}
			OUTLPT2(c>>8,c&0xff);
		} else {
			if (fkanji) {
				OUTLPT2(0x1c,'.');
				fkanji=0;
			}
			OUTLPT(c);
		}
	}
}
